-- Copyright (c) 2024 Huawei Technologies Co., Ltd.
-- openUBMC is licensed under Mulan PSL v2.
-- You can use this software according to the terms and conditions of the Mulan PSL v2.
-- You may obtain a copy of Mulan PSL v2 at:
--          http://license.coscl.org.cn/MulanPSL2
-- THIS SOFTWARE IS PROVIDED ON AN "AS IS" BASIS, WITHOUT WARRANTIES OF ANY KIND,
-- EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO NON-INFRINGEMENT,
-- MERCHANTABILITY OR FIT FOR A PARTICULAR PURPOSE.
-- See the Mulan PSL v2 for more details.
local c_object = require 'mc.orm.object'

local orm_classes = {}

function orm_classes.init(db)
    orm_classes.BiosFwInfoTable = c_object('BiosFwInfoTable')
    orm_classes.BiosBootOptionTable = c_object('BiosBootOptionTable')
    orm_classes.BiosBootTable = c_object('BiosBootTable')
    orm_classes.BiosInfoTable = c_object('BiosInfoTable')
    orm_classes.BiosUpdateCfgTable = c_object('BiosUpdateCfgTable')
    orm_classes.SmBiosInfoTable = c_object('SmBiosInfoTable')
    orm_classes.CertInfoTable = c_object('CertInfoTable')
    orm_classes.BiosConfigTable = c_object('BiosConfigTable')
    orm_classes.CachedBiosUpgradeTable = c_object('CachedBiosUpgradeTable')
    orm_classes.TeeOSFwInfoTable = c_object('TeeOSFwInfoTable')
    orm_classes.AllowedBiosUpgradeTable = c_object('AllowedBiosUpgradeTable')
    orm_classes.BaseOSBoot = c_object('BaseOSBoot')
end

return orm_classes
